<template>
    <div
        style="position: relative;"
        :style="[isWix && showPicingF ? 'background: #F5F6FA; height: 100vh;' : 'background: #FFFFFF; height: auto;']"
    >
        <img
            v-if="showPicingF && isWix"
            class="pricing__bg"
            src="/images/pricing_bg.svg"
        >
        <PricingF
            v-if="showPicingF && isWix"
            @selectPlan="selectPlan"
        />
        <div
            v-else-if="balance"
            class="page-container"
        >
            <div class="title">
                Pricing plans (monthly subscription)
            </div>
            <div class="row">
                <div class="col-md-9 progress-wrapper">
                    <div class="progress-container">
                        <div class="progress-title">
                            <strong>Reminders sent this month:</strong>
                        </div>
                        <div class="progress-bar">
                            <div
                                class="progress"
                                :style="{ width: progress + '%' }"
                                style="min-width: 5%"
                            >
                                {{ balance.emailSent }}/{{ balance.emailCount }}
                            </div>
                        </div>
                    </div>
                </div>
                <div
                    class="col-md-3"
                    style="min-width: 300px"
                >
                    <add-credits
                        v-if="$cookies.get('platform') === 'wix' && balance"
                        :main-balance="balance"
                    />
                </div>
            </div>
            <PricingItems
                :balance="balance"
                @confirm="selectPlan($event)"
                @showPricingF="showPicingF = true"
            />
        </div>
    </div>
</template>

<script>
import pricing from "@/mixins/pricing/pricing.service";
import shop from "@/mixins/shop.service";
import AddCredits from "@/components/pricing/AddCredits";
import abTesting from "@/mixins/ab-testing/index.js";
import PricingItems from "@/components/pricing/PricingItems";
import PricingF from '@/components/testing-elements/pricing/PricingPage';

export default {
  name: "Pricing",
  components: { AddCredits, PricingItems, PricingF },
  mixins: [pricing, shop, abTesting],
  data() {
    return {
      progress: 0,
      balance: null,
      showPicingF: false,
    };
  },
  computed: {
    isWix() {
      return this.$cookies.get('platform') == 'wix'
    }
  },
  created() {
      this.getShopBalance()
  },
  methods: {
    async getShopBalance() {
      const res = await this.getBalance();

      if (!res.plan) this.$router.push("/setup/1");

      this.progress = (res.emailSent * 100) / res.emailCount;
      this.balance = res;
    },
    async selectPlan(e) {
      const plan = e.selectedPlan;
      let title = e.title;
      const url = e.url

      plan.loading = true;
      if (title === "free") {
        title = "basic";
      }
      const res = await this.loadPlans(url || title, "pricing");
      this.$session.remove("shop");
      window.location.replace(res);
    },
  },
};
</script>

<style scoped lang="scss">
@import "resources/css/colors";

.current-plan {
  width: 100%;
  padding: 10px 20px;
  font-weight: bold;
  border-radius: 5px;
  font-size: 14px;
  border-color: #c1c1c1 !important;
  color: white;
  background: #c1c1c1;

  &:hover {
    background: #c1c1c1 !important;
    border-color: #c1c1c1 !important;
    color: white;
    text-decoration: none;
  }
}

.title {
  font-size: 28px;
  font-weight: bold;
  margin-bottom: 20px;
  @media screen and (max-width: 900px) {
    font-size: 20px;
  }
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield; /* Firefox */
}

.blue-btn {
  height: 43px;
}

.form-control {
  margin-left: 5px;
  width: 90px;
  color: $blue-color;
  font-weight: 700;
  height: 30px !important;

  option {
    font-weight: 700;
  }
}



.blue-btn {
  width: 100%;
}

.add-btn {
  color: $blue-color;
  font-weight: 600;
  display: flex;
  align-items: center;
  justify-content: center;
}

.progress {
  padding-left: 15px;
  padding-right: 15px;
  align-items: center;
  justify-content: center;
  background-color: $blue-color;
  border-radius: 10px;
  height: 24px;
  font-weight: 600;
}



.progress-bar {
  background-color: $light-blue-color;
  border-radius: 10px;
  width: 100%;
  height: 24px;
  margin-bottom: 0;
}

.progress-title {
  min-width: 200px;
}

.progress {
  @media (max-width: 1300px) {
    &-wrapper {
      min-width: 100%;
    }
  }
  &-container {
    display: flex;
    align-items: center;
    padding: 10px;
    background: white;
    border-radius: 5px;
  }
}
.pricing__bg {
  @media(max-width: 768px) {
    width: auto;
  }
}
</style>
